Bug 547799 (CVE-2009-4324) - CVE-2009-4324 acroread: media.newplayer JavaScript API code execution vulnerability (APSB10-02)
Summary: CVE-2009-4324 acroread: media.newplayer JavaScript API code execution vulnera...
Status: CLOSED ERRATA
Alias: CVE-2009-4324
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=critical,source=internet,repor...
Keywords: Security
Depends On: 554298 554299 554300
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 18:01 UTC by Vincent Danen
Modified: 2018-03-01 15:56 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-20 15:13:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0037 normal SHIPPED_LIVE Critical: acroread security and bug fix update 2010-01-13 16:03:38 UTC
Red Hat Product Errata RHSA-2010:0038 normal SHIPPED_LIVE Critical: acroread security update 2010-01-13 16:08:18 UTC
Red Hat Product Errata RHSA-2010:0060 normal SHIPPED_LIVE Critical: acroread security update 2010-01-20 14:38:14 UTC

Description Vincent Danen 2009-12-15 18:01:41 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-4324 to
the following vulnerability:

Name: CVE-2009-4324
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4324
Assigned: 20091214
Reference:
MISC: http://blogs.adobe.com/psirt/2009/12/new_adobe_reader_and_acrobat_v.html

Unspecified vulnerability in Adobe Reader and Acrobat 9.2 and earlier
has unknown impact and attack vectors, as exploited in the wild in
December 2009.


An unconfirmed third-party posting [1] indicates this vulnerability is in the JavaScript processing, so a proposed work-around is to disable JavaScript (Edit -> Preferences -> JavaScript).  This has not been official confirmed by Adobe.

[1] http://www.shadowserver.org/wiki/pmwiki.php/Calendar/20091214

Comment 1 Vincent Danen 2009-12-16 03:47:52 UTC
Official bulletin, but no word on a fix yet.  Confirmed as critical impact issue with a work-around (disable javascript):

http://www.adobe.com/support/security/advisories/apsa09-07.html

Comment 3 Mark J. Cox 2009-12-18 14:09:12 UTC
We will prepare updates and issue an erratum to correct this issue once Adobe have released a fixed version of Acrobat reader.  Please see Adobe blog and advisories for estimates of timeframes.

Comment 4 Tomas Hoger 2010-01-11 09:56:08 UTC
Updates fixing this flaw should be released by Adobe tomorrow, Jan12:
  http://blogs.adobe.com/psirt/2010/01/pre-notification_-_quarterly_s_1.html
  http://www.adobe.com/support/security/bulletins/apsb10-02.html

Comment 6 Tomas Hoger 2010-01-13 08:00:05 UTC
Fixed now in 9.3 (and 8.2, which is only available for Windows and Macintosh, but is no longer supported on Unix platforms):

  http://www.adobe.com/support/security/bulletins/apsb10-02.html

Comment 9 errata-xmlrpc 2010-01-13 16:03:41 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0037 https://rhn.redhat.com/errata/RHSA-2010-0037.html

Comment 10 errata-xmlrpc 2010-01-13 16:08:21 UTC
This issue has been addressed in following products:

  Extras for RHEL 4

Via RHSA-2010:0038 https://rhn.redhat.com/errata/RHSA-2010-0038.html

Comment 12 errata-xmlrpc 2010-01-20 14:38:16 UTC
This issue has been addressed in following products:

  Extras for RHEL 3

Via RHSA-2010:0060 https://rhn.redhat.com/errata/RHSA-2010-0060.html


Note You need to log in before you can comment on or make changes to this bug.